Solid Edge Assembly Type Library
Type Property
Description
Specifies the type of the object being referenced.
Property type
Read-only property
Syntax
Visual Basic
Public Property Type As ObjectType
Example
Private Sub Form_Load()
    Dim objApp As SolidEdgeFramework.Application
    Dim objDoc As SolidEdgeAssembly.AssemblyDocument
    Dim objTangntRelation As SolidEdgeAssembly.TangentRelation3d
    ' Local variables to be declared here
    Const TESTFILE = "T:\vbtests\testcases\TangntRel3d.asm"
    Dim lngType As ObjectType
    ' Create/get the application with specific settings
    On Error Resume Next
    Set objApp = GetObject(, "SolidEdge.Application")
    If Err Then
        Err.Clear
        Set objApp = CreateObject("SolidEdge.Application")
        Set objDoc = objApp.Documents.Add("SolidEdge.AssemblyDocument")
        objApp.Visible = True
    Else
        Set objDoc = objApp.ActiveDocument
    End If
    On Error GoTo 0
    objDoc.Close False
    'Open an existing Assembly containing TangentRelation
    Set objDoc = objApp.Documents.Open(Filename:=TESTFILE)
    'Get hold of the TangentRelation from the Relations3d collection
    Set objTangntRelation = objDoc.Relations3d(2)
    'Get the Type of this relation
    lngType = objTangntRelation.Type
    ' Release objects
    Set objApp = Nothing
    Set objDoc = Nothing
    Set objTangntRelation = Nothing
End Sub
See Also

TangentRelation3d Object  | TangentRelation3d Members

Send comments on this topic.